
#include <stdio.h>
#include <fpe.h>

fpe_result res;
fpe_result *result;

void main(void)
{
	fpe_register a;
	fpe_register b;
	fpe_register c;
	double fa,fb,fc,fd;
	
	result=&res;
	
	fa=2.71828;
	
	double_to_reg(&a,(void *)(&fa));
	dump_register(&a);
	
	fb=3.14159;
	
	double_to_reg(&b,(void *)(&fb));
	dump_register(&b);
	
	mul(&a,&b);
	
	dump_result(result);
	
	normalize(&c);
	dump_register(&c);
	
	reg_to_double(&c,(void *)(&fc));
	
	fd=fa*fb;
	
	dump_double(fa);
	dump_double(fb);
	dump_double(fc);
	dump_double(fd);
	printf("%.20g %.20g\n",fc,fd);
}

