

stack frame: (format 2)
	+0	status register
	+2	pc
	+6	0x0000 | vector offset (= 0x2c)


fpe_trap:
	move a6,-(a7)
	move usp,a6
	move 6(a7),-(a6)	/* push pc onto user stack */
	movea current,a6
	movea fpe_vector(a6),a6
	move a6,6(a7)		/* fake a return address */
	move (a7)+,a6
	rte
	

fpe_user:
	/* saving all registers is necessary if we want to
	   access or modify them */
	movem d0-d7/a0-a6,-(a7)
	move ccr,-(a7)

	bsr fpe_enter
	
	move (a7)+,ccr
	movem (a7)+,d0-d7/a0-a6
	rts

/*
   if fpe_enter is defined as

void fpe_enter(uint16 ccr);

   then ccr can be accessed (and modified) as is,
   and the registers as is and registers can be accessed via
   ((uint32 *)(&ccr+1))[register];

   be careful, lest modifications to ccr be optimized out.
*/

