
000,0,0,xxxxxxx series:

typedef (*vector)();

vector cpGEN[]={
	/* 0x00 */ fpe_move,
	/* 0x01 */ fpe_int,
	/* 0x02 */ fpe_sinh,
	/* 0x03 */ fpe_intrz,
	/* 0x04 */ fpe_sqrt,
	/* 0x05 */ NULL,
	/* 0x06 */ fpe_lognp1,
	/* 0x07 */ NULL,
	/* 0x08 */ fpe_etoxm1,
	/* 0x09 */ fpe_tanh,
	/* 0x0a */ fpe_atan,
	/* 0x0b */ NULL,
	/* 0x0c */ fpe_asin,
	/* 0x0d */ fpe_atanh,
	/* 0x0e */ fpe_sin,
	/* 0x0f */ fpe_tan,
	/* 0x10 */ fpe_etox,
	/* 0x11 */ fpe_twotox,
	/* 0x12 */ fpe_tentox,
	/* 0x13 */ NULL,
	/* 0x14 */ fpe_logn,
	/* 0x15 */ fpe_log10,
	/* 0x16 */ fpe_log2,
	/* 0x17 */ NULL,
	/* 0x18 */ fpe_abs,
	/* 0x19 */ fpe_cosh,
	/* 0x1a */ fpe_neg,
	/* 0x1b */ NULL,
	/* 0x1c */ fpe_acos,
	/* 0x1d */ fpe_cos,
	/* 0x1e */ fpe_getexp,
	/* 0x1f */ fpe_getman,
	/* 0x20 */ fpe_div,
	/* 0x21 */ fpe_mod,
	/* 0x22 */ fpe_add,
	/* 0x23 */ fpe_mul,
	/* 0x24 */ fpe_sgldiv,
	/* 0x25 */ fpe_rem,
	/* 0x26 */ fpe_scale,
	/* 0x27 */ fpe_sglmul,
	/* 0x28 */ fpe_sub,
	/* 0x29 */ NULL,
	/* 0x2a */ NULL,
	/* 0x2b */ NULL,
	/* 0x2c */ NULL,
	/* 0x2d */ NULL,
	/* 0x2e */ NULL,
	/* 0x2f */ NULL,
	/* 0x30 */ fpe_sincos,
	/* 0x31 */ fpe_sincos,
	/* 0x32 */ fpe_sincos,
	/* 0x33 */ fpe_sincos,
	/* 0x34 */ fpe_sincos,
	/* 0x35 */ fpe_sincos,
	/* 0x36 */ fpe_sincos,
	/* 0x37 */ fpe_sincos,
	/* 0x38 */ fpe_cmp,
	/* 0x39 */ NULL,
	/* 0x3a */ fpe_tst,
	/* 0x3b */ NULL,
	/* 0x3c */ NULL,
	/* 0x3d */ NULL,
	/* 0x3e */ NULL,
	/* 0x3f */ NULL
}


0xxx0xx f_
1xxx0xx fs_
1xxx1xx fd_

struct{
	int opmode;
	vector vec;
}cpGEN_hi[]={
	{ 0x40, fpe_smove },
	{ 0x44, fpe_dmove },
	{ 0x58, fpe_sabs },
	{ 0x5c, fpe_dabs },
	{ 0x5a, fpe_sneg },
	{ 0x5e, fpe_dneg },
	{ 0x60, fpe_sdiv },
	{ 0x64, fpe_ddiv },
	{ 0x62, fpe_sadd },
	{ 0x66, fpe_dadd },
	{ 0x63, fpe_smul },
	{ 0x67, fpe_dmul },
	{ 0x68, fpe_ssub },
	{ 0x6e, fpe_dsub },
	{ 0x41, fpe_ssqrt },
	{ 0x45, fpe_dsqrt }
};
#define N_CPGEN_HI 16


void fpe_cpGEN(void)
{
	int opmode;
	
	if(instr1&0xa000 !=0){
		/* not impl. */
		return;
	}
	if(instr1&0x4000){
		calculate_effective_address();
		load_effective_address((instr1>>10)&0x7);
		src_register=fpreg_tmp;
	}else{
		src_register=fpreg+((instr1>>10)&0x7);
	}
	dest_register=fpreg+((instr1>>7)&0x7);
	
	opmode=instr1&0x7f;
	if(!(opmode&0x40)){
		func=cpGEN[opmode];
	}else{
		func=NULL;
		for(i=0;i<N_CPGEN_HI;i++){
			if(cpGEN_hi[i].opmode==opmode){
				func=cpGEN_hi[i];
				break;
			}
		}
	}
	if(func){
		func();
	}else{
		/* illegal FP instr. */
	}
}

