
/* XXX - this file depends on endianness of bitfields. */

typedef struct {
	char			sign;
	char			class;
	short			unused;
	long			exponent;
	unsigned long long 	mantissa;
} fpn_internal;


typedef struct {
	unsigned		sign:1,
				exponent:15,
				zero:16;
	unsigned long long	mantissa;
} fpn_extended;

typedef struct {
	unsigned long long	sign:1,
				exponent:11,
				mantissa:52;
} fpn_double;


typedef struct {
	unsigned int	sign:1,
			exponent:8,
			mantissa:23;
} fpn_single;


typedef struct {
	unsigned int	mantissa_sign:1,
			exponent_sign:1,
			yy:2,
			exp_0:4,
			exp_1:4,
			exp_2:4,
			exp_3:4,
			zero:8,
			digit_16:4;
			digit_15:4;
			digit_14:4;
			digit_13:4;
			digit_12:4;
			digit_11:4;
			digit_10:4;
			digit_9:4;
			digit_8:4;
			digit_7:4;
			digit_6:4;
			digit_5:4;
			digit_4:4;
			digit_3:4;
			digit_2:4;
			digit_1:4;
			digit_0:4;
} fpn_packedbcd;



