/*
 * to be included in arch/m68k/kernel/entry.S
 * how it should look for _nondebugging_ versions
 */

#include <linux/sys.h>
#include <linux/config.h>
#include <linux/linkage.h>
#include <asm/entry.h>
#include <asm/setup.h>
#include <asm/segment.h>

.globl	fpe_intregs		| integer registers

ENTRY(fpu_emu_030):
	movem.l	%d0/%d1/%d5/%d6/%a0/%a1/%a5,fpe_intregs
	GET_CURRENT(%d0)
	move.l	(PC,%sp),%a5
	jsr	fp_scan
	tst.l	%d0
	jne	fp_exception
	movem.l	fpe_intregs,%d0/%d1/%d5/%d6/%a0/%a1/%a5
	rte

ENTRY(fpu_emu_040):
	movem.l	%d0/%d1/%d5/%d6/%a0/%a1/%a5,fpe_intregs
	GET_CURRENT(%d0)
	| 040 handling
	movem.l	fpe_intregs,%d0/%d1/%d5/%d6/%a0/%a1/%a5


	| handle exceptions (number in %d0)
fp_exception:
	lsll	#2,%d0
	andw	#0xf000,sp@(6)
	orw	%d0,sp@(6)		/* put new exception# into frame */
	/* restore registers */
	moveml	SYMBOL_NAME(fpe_intregs),%d0-%d7/%a0-%a6
	| create linux stack
	jbra	SYMBOL_NAME(trap)

