#include <stdio.h>
#include <signal.h>

long data[] = {
	0x80010000, 0x00000000, 0x00000000,
	0xffffffff, 0xffffffff, 0xffffffff
};
long fpu[3];

long cnst[] = {
	0x40000000, 0x80000000, 0x00000000,
	0xc0000000, 0x80000000, 0x00000000,
	0x00000000, 0x00000000, 0x00000000,
	0x80000000, 0x00000000, 0x00000000,
	0x7fff0000, 0xffffffff, 0xffffffff,
	0xffff0000, 0xffffffff, 0xffffffff,
};

void fpsig(int sig)
{
}

int main()
{
#if 0
	long cr, sr;
	long *ptr;

	signal(SIGFPE, fpsig);
	asm volatile ("fmove.l #0x4000,%fpcr");

	asm volatile ("fmove.x	(%2),%%fp0; "
/*	              "fmove.x	%%fp0,%%fp0; "*/
	              "fmove.l %%fpcr,%0; fmove.l %%fpsr,%1; "
	              "fmove.x  %%fp0,(%3)"
		: "=g" (cr), "=g" (sr): "a" (data), "a" (fpu), "d" (0));
	printf("cr:%08lx  sr:%08lx\n", cr, sr);
	printf("%08lx %08lx %08lx\n", fpu[0], fpu[1], fpu[2]);

	ptr = data;
/*	printf("ptr -> %p\n", ptr);*/
	asm volatile (".fopt id=6 ;fmove.x (%0),%%fp1": "=a" (ptr) :"0" (ptr));
/*	printf("ptr <- %p\n", ptr);*/
#else
#if 1
	asm volatile (".fopt id=6; fnop; fbf 1f; fnop; 1:");
#else
	long sr, i, r1, r2;

	for (i = 0; i < 6; i++) {
		asm volatile ("fmove.x (%2),%%fp0; fsst %0"
				:"=d" (r1): "0" (0), "a" (&cnst[i*3]));
		asm volatile ("fmove.l %%fpsr,%0": "=d" (sr));
		printf("osr: %08lx\n", sr);
		asm volatile (".fopt id=6; fmove.x (%2),%%fp0; fsst %0"
				:"=d" (r2): "0" (0), "a" (&cnst[i*3]));
		if (r1 != r2)
			printf("!!!!!!!!!!!!!!!!!!!!! error at %ld\n", i);
	}
#endif
#endif
	return 0;
}
